package com.yihu.wlyy.entity.followup;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * 疾病关联用药
 * @author hzp add 2016-12-07
 *
 */
@Entity
@Table(name = "wlyy_followup_class_drugs")
public class FollowupClassDrugs extends IdEntity {


	//随访类别：1.高血压 2.糖尿病
	private String followupClass;
	//药品代码
	private String drugsCode;
	//创建时间
	private Date createTime;

	public String getFollowupClass() {
		return followupClass;
	}

	public void setFollowupClass(String followupClass) {
		this.followupClass = followupClass;
	}

	public String getDrugsCode() {
		return drugsCode;
	}

	public void setDrugsCode(String drugsCode) {
		this.drugsCode = drugsCode;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

}
